! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! 
! Parameter Module File
! 
! Generated by KPP-2.2.4_gc symbolic chemistry Kinetics PreProcessor
!       (http://www.cs.vt.edu/~asandu/Software/KPP)
! KPP is distributed under GPL, the general public licence
!       (http://www.gnu.org/copyleft/gpl.html)
! (C) 1995-1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
! (C) 1997-2005, A. Sandu, Michigan Tech, Virginia Tech
!     With important contributions from:
!        M. Damian, Villanova University, USA
!        R. Sander, Max-Planck Institute for Chemistry, Mainz, Germany
! 
! File                 : gckpp_Parameters.f90
! Time                 : Fri Mar 13 14:32:09 2020
! Working directory    : /n/home05/msulprizio/GC/Code.GCHP/KPP/SOA_SVPOA
! Equation file        : gckpp.kpp
! Output root filename : gckpp
! 
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



MODULE gckpp_Parameters

  USE gckpp_Precision
  PUBLIC
  SAVE


! NSPEC - Number of chemical species
  INTEGER, PARAMETER :: NSPEC = 245 
! NVAR - Number of Variable species
  INTEGER, PARAMETER :: NVAR = 240 
! NFLUX - Number of Reaction Flux species
  INTEGER, PARAMETER :: NFLUX = 1 
! NFAM - Number of Prod/Loss Families
  INTEGER, PARAMETER :: NFAM = 7 
! NVARACT - Number of Active species
  INTEGER, PARAMETER :: NVARACT = 211 
! NFIX - Number of Fixed species
  INTEGER, PARAMETER :: NFIX = 5 
! NREACT - Number of reactions
  INTEGER, PARAMETER :: NREACT = 748 
! NVARST - Starting of variables in conc. vect.
  INTEGER, PARAMETER :: NVARST = 1 
! NFIXST - Starting of fixed in conc. vect.
  INTEGER, PARAMETER :: NFIXST = 241 
! NONZERO - Number of nonzero entries in Jacobian
  INTEGER, PARAMETER :: NONZERO = 2794 
! LU_NONZERO - Number of nonzero entries in LU factoriz. of Jacobian
  INTEGER, PARAMETER :: LU_NONZERO = 3586 
! CNVAR - (NVAR+1) Number of elements in compressed row format
  INTEGER, PARAMETER :: CNVAR = 241 
! NLOOKAT - Number of species to look at
  INTEGER, PARAMETER :: NLOOKAT = 0 
! NMONITOR - Number of species to monitor
  INTEGER, PARAMETER :: NMONITOR = 0 
! NMASS - Number of atoms to check mass balance
  INTEGER, PARAMETER :: NMASS = 1 

! Index declaration for variable species in C and VAR
!   VAR(ind_spc) = C(ind_spc)

  INTEGER, PARAMETER :: ind_CH2I2 = 1 
  INTEGER, PARAMETER :: ind_CH2IBr = 2 
  INTEGER, PARAMETER :: ind_CH2ICl = 3 
  INTEGER, PARAMETER :: ind_NIT = 4 
  INTEGER, PARAMETER :: ind_NITs = 5 
  INTEGER, PARAMETER :: ind_AERI = 6 
  INTEGER, PARAMETER :: ind_CO2 = 7 
  INTEGER, PARAMETER :: ind_INDIOL = 8 
  INTEGER, PARAMETER :: ind_ISALA = 9 
  INTEGER, PARAMETER :: ind_ISALC = 10 
  INTEGER, PARAMETER :: ind_LBRO2H = 11 
  INTEGER, PARAMETER :: ind_LBRO2N = 12 
  INTEGER, PARAMETER :: ind_LISOPOH = 13 
  INTEGER, PARAMETER :: ind_LISOPNO3 = 14 
  INTEGER, PARAMETER :: ind_LNRO2H = 15 
  INTEGER, PARAMETER :: ind_LNRO2N = 16 
  INTEGER, PARAMETER :: ind_NRO2 = 17 
  INTEGER, PARAMETER :: ind_NAP = 18 
  INTEGER, PARAMETER :: ind_LTRO2H = 19 
  INTEGER, PARAMETER :: ind_LTRO2N = 20 
  INTEGER, PARAMETER :: ind_LVOCOA = 21 
  INTEGER, PARAMETER :: ind_LVOC = 22 
  INTEGER, PARAMETER :: ind_LXRO2H = 23 
  INTEGER, PARAMETER :: ind_LXRO2N = 24 
  INTEGER, PARAMETER :: ind_MSA = 25 
  INTEGER, PARAMETER :: ind_SO4 = 26 
  INTEGER, PARAMETER :: ind_SO4H1 = 27 
  INTEGER, PARAMETER :: ind_SO4H2 = 28 
  INTEGER, PARAMETER :: ind_SOAGX = 29 
  INTEGER, PARAMETER :: ind_SOAIE = 30 
  INTEGER, PARAMETER :: ind_POx = 31 
  INTEGER, PARAMETER :: ind_LOx = 32 
  INTEGER, PARAMETER :: ind_PCO = 33 
  INTEGER, PARAMETER :: ind_LCO = 34 
  INTEGER, PARAMETER :: ind_PSO4 = 35 
  INTEGER, PARAMETER :: ind_LCH4 = 36 
  INTEGER, PARAMETER :: ind_PH2O2 = 37 
  INTEGER, PARAMETER :: ind_I2O4 = 38 
  INTEGER, PARAMETER :: ind_CH2Br2 = 39 
  INTEGER, PARAMETER :: ind_CHBr3 = 40 
  INTEGER, PARAMETER :: ind_I2O2 = 41 
  INTEGER, PARAMETER :: ind_MONITA = 42 
  INTEGER, PARAMETER :: ind_BENZ = 43 
  INTEGER, PARAMETER :: ind_CH3I = 44 
  INTEGER, PARAMETER :: ind_I2O3 = 45 
  INTEGER, PARAMETER :: ind_PPN = 46 
  INTEGER, PARAMETER :: ind_TOLU = 47 
  INTEGER, PARAMETER :: ind_BrNO2 = 48 
  INTEGER, PARAMETER :: ind_CH3Br = 49 
  INTEGER, PARAMETER :: ind_HI = 50 
  INTEGER, PARAMETER :: ind_IBr = 51 
  INTEGER, PARAMETER :: ind_INO = 52 
  INTEGER, PARAMETER :: ind_TRO2 = 53 
  INTEGER, PARAMETER :: ind_BRO2 = 54 
  INTEGER, PARAMETER :: ind_HMHP = 55 
  INTEGER, PARAMETER :: ind_PAN = 56 
  INTEGER, PARAMETER :: ind_XRO2 = 57 
  INTEGER, PARAMETER :: ind_MAP = 58 
  INTEGER, PARAMETER :: ind_Cl2O2 = 59 
  INTEGER, PARAMETER :: ind_ICl = 60 
  INTEGER, PARAMETER :: ind_MPN = 61 
  INTEGER, PARAMETER :: ind_CH2Cl2 = 62 
  INTEGER, PARAMETER :: ind_CHCl3 = 63 
  INTEGER, PARAMETER :: ind_HMML = 64 
  INTEGER, PARAMETER :: ind_IONO = 65 
  INTEGER, PARAMETER :: ind_IPRNO3 = 66 
  INTEGER, PARAMETER :: ind_MENO3 = 67 
  INTEGER, PARAMETER :: ind_HNO2 = 68 
  INTEGER, PARAMETER :: ind_NPRNO3 = 69 
  INTEGER, PARAMETER :: ind_OIO = 70 
  INTEGER, PARAMETER :: ind_R4P = 71 
  INTEGER, PARAMETER :: ind_RA3P = 72 
  INTEGER, PARAMETER :: ind_RB3P = 73 
  INTEGER, PARAMETER :: ind_RP = 74 
  INTEGER, PARAMETER :: ind_ETNO3 = 75 
  INTEGER, PARAMETER :: ind_XYLE = 76 
  INTEGER, PARAMETER :: ind_ClNO2 = 77 
  INTEGER, PARAMETER :: ind_CH3Cl = 78 
  INTEGER, PARAMETER :: ind_DMS = 79 
  INTEGER, PARAMETER :: ind_HNO4 = 80 
  INTEGER, PARAMETER :: ind_IONITA = 81 
  INTEGER, PARAMETER :: ind_ClOO = 82 
  INTEGER, PARAMETER :: ind_PYAC = 83 
  INTEGER, PARAMETER :: ind_IDC = 84 
  INTEGER, PARAMETER :: ind_OClO = 85 
  INTEGER, PARAMETER :: ind_ETP = 86 
  INTEGER, PARAMETER :: ind_ALK4 = 87 
  INTEGER, PARAMETER :: ind_PP = 88 
  INTEGER, PARAMETER :: ind_PRPN = 89 
  INTEGER, PARAMETER :: ind_IEPOXD = 90 
  INTEGER, PARAMETER :: ind_HOI = 91 
  INTEGER, PARAMETER :: ind_MVKDH = 92 
  INTEGER, PARAMETER :: ind_HPALD1OO = 93 
  INTEGER, PARAMETER :: ind_PIP = 94 
  INTEGER, PARAMETER :: ind_HPALD2OO = 95 
  INTEGER, PARAMETER :: ind_BrCl = 96 
  INTEGER, PARAMETER :: ind_N2O5 = 97 
  INTEGER, PARAMETER :: ind_C3H8 = 98 
  INTEGER, PARAMETER :: ind_INA = 99 
  INTEGER, PARAMETER :: ind_MP = 100 
  INTEGER, PARAMETER :: ind_IDCHP = 101 
  INTEGER, PARAMETER :: ind_HPALD3 = 102 
  INTEGER, PARAMETER :: ind_HPALD4 = 103 
  INTEGER, PARAMETER :: ind_SO2 = 104 
  INTEGER, PARAMETER :: ind_Br2 = 105 
  INTEGER, PARAMETER :: ind_Cl2 = 106 
  INTEGER, PARAMETER :: ind_IEPOXB = 107 
  INTEGER, PARAMETER :: ind_MCRDH = 108 
  INTEGER, PARAMETER :: ind_HONIT = 109 
  INTEGER, PARAMETER :: ind_IEPOXA = 110 
  INTEGER, PARAMETER :: ind_EOH = 111 
  INTEGER, PARAMETER :: ind_MACR1OOH = 112 
  INTEGER, PARAMETER :: ind_BrSALC = 113 
  INTEGER, PARAMETER :: ind_BrSALA = 114 
  INTEGER, PARAMETER :: ind_C4HVP2 = 115 
  INTEGER, PARAMETER :: ind_IDHDP = 116 
  INTEGER, PARAMETER :: ind_IHN2 = 117 
  INTEGER, PARAMETER :: ind_IHN3 = 118 
  INTEGER, PARAMETER :: ind_C4HVP1 = 119 
  INTEGER, PARAMETER :: ind_IDNOO = 120 
  INTEGER, PARAMETER :: ind_C2H6 = 121 
  INTEGER, PARAMETER :: ind_ICNOO = 122 
  INTEGER, PARAMETER :: ind_ISOPNOO2 = 123 
  INTEGER, PARAMETER :: ind_MPAN = 124 
  INTEGER, PARAMETER :: ind_MTPA = 125 
  INTEGER, PARAMETER :: ind_MTPO = 126 
  INTEGER, PARAMETER :: ind_MVKPC = 127 
  INTEGER, PARAMETER :: ind_RIPA = 128 
  INTEGER, PARAMETER :: ind_ROH = 129 
  INTEGER, PARAMETER :: ind_INPD = 130 
  INTEGER, PARAMETER :: ind_BrNO3 = 131 
  INTEGER, PARAMETER :: ind_RIPB = 132 
  INTEGER, PARAMETER :: ind_MCRENOL = 133 
  INTEGER, PARAMETER :: ind_H2O2 = 134 
  INTEGER, PARAMETER :: ind_IDHPE = 135 
  INTEGER, PARAMETER :: ind_IONO2 = 136 
  INTEGER, PARAMETER :: ind_RIPD = 137 
  INTEGER, PARAMETER :: ind_ISOPNOO1 = 138 
  INTEGER, PARAMETER :: ind_IDHNDOO1 = 139 
  INTEGER, PARAMETER :: ind_IDHNDOO2 = 140 
  INTEGER, PARAMETER :: ind_MVKHC = 141 
  INTEGER, PARAMETER :: ind_RIPC = 142 
  INTEGER, PARAMETER :: ind_HPETHNL = 143 
  INTEGER, PARAMETER :: ind_ICHE = 144 
  INTEGER, PARAMETER :: ind_LIMO = 145 
  INTEGER, PARAMETER :: ind_I2 = 146 
  INTEGER, PARAMETER :: ind_MCRHNB = 147 
  INTEGER, PARAMETER :: ind_MONITS = 148 
  INTEGER, PARAMETER :: ind_INPB = 149 
  INTEGER, PARAMETER :: ind_IHPOO1 = 150 
  INTEGER, PARAMETER :: ind_IHPOO2 = 151 
  INTEGER, PARAMETER :: ind_IHPNDOO = 152 
  INTEGER, PARAMETER :: ind_MVKHCB = 153 
  INTEGER, PARAMETER :: ind_HPALD1 = 154 
  INTEGER, PARAMETER :: ind_IHPOO3 = 155 
  INTEGER, PARAMETER :: ind_HPALD2 = 156 
  INTEGER, PARAMETER :: ind_ATOOH = 157 
  INTEGER, PARAMETER :: ind_HC5A = 158 
  INTEGER, PARAMETER :: ind_ACTA = 159 
  INTEGER, PARAMETER :: ind_ICHOO = 160 
  INTEGER, PARAMETER :: ind_HOCl = 161 
  INTEGER, PARAMETER :: ind_HOBr = 162 
  INTEGER, PARAMETER :: ind_PROPNN = 163 
  INTEGER, PARAMETER :: ind_HCOOH = 164 
  INTEGER, PARAMETER :: ind_MONITU = 165 
  INTEGER, PARAMETER :: ind_MCRHN = 166 
  INTEGER, PARAMETER :: ind_R4N2 = 167 
  INTEGER, PARAMETER :: ind_MCROHOO = 168 
  INTEGER, PARAMETER :: ind_MVKOHOO = 169 
  INTEGER, PARAMETER :: ind_ICPDH = 170 
  INTEGER, PARAMETER :: ind_PRN1 = 171 
  INTEGER, PARAMETER :: ind_ETHLN = 172 
  INTEGER, PARAMETER :: ind_CH3CHOO = 173 
  INTEGER, PARAMETER :: ind_MACR1OO = 174 
  INTEGER, PARAMETER :: ind_I = 175 
  INTEGER, PARAMETER :: ind_ClNO3 = 176 
  INTEGER, PARAMETER :: ind_PO2 = 177 
  INTEGER, PARAMETER :: ind_ETO2 = 178 
  INTEGER, PARAMETER :: ind_IO = 179 
  INTEGER, PARAMETER :: ind_ITCN = 180 
  INTEGER, PARAMETER :: ind_IHN4 = 181 
  INTEGER, PARAMETER :: ind_GLYX = 182 
  INTEGER, PARAMETER :: ind_BrO = 183 
  INTEGER, PARAMETER :: ind_ACET = 184 
  INTEGER, PARAMETER :: ind_IHPNBOO = 185 
  INTEGER, PARAMETER :: ind_MOH = 186 
  INTEGER, PARAMETER :: ind_OLNN = 187 
  INTEGER, PARAMETER :: ind_OLND = 188 
  INTEGER, PARAMETER :: ind_ISOP = 189 
  INTEGER, PARAMETER :: ind_IHN1 = 190 
  INTEGER, PARAMETER :: ind_HNO3 = 191 
  INTEGER, PARAMETER :: ind_LIMO2 = 192 
  INTEGER, PARAMETER :: ind_MEK = 193 
  INTEGER, PARAMETER :: ind_CH2OO = 194 
  INTEGER, PARAMETER :: ind_IEPOXBOO = 195 
  INTEGER, PARAMETER :: ind_IEPOXAOO = 196 
  INTEGER, PARAMETER :: ind_MCRHP = 197 
  INTEGER, PARAMETER :: ind_MVKHP = 198 
  INTEGER, PARAMETER :: ind_IDHNBOO = 199 
  INTEGER, PARAMETER :: ind_MGLY = 200 
  INTEGER, PARAMETER :: ind_GLYC = 201 
  INTEGER, PARAMETER :: ind_RCHO = 202 
  INTEGER, PARAMETER :: ind_R4N1 = 203 
  INTEGER, PARAMETER :: ind_HBr = 204 
  INTEGER, PARAMETER :: ind_MVKN = 205 
  INTEGER, PARAMETER :: ind_ICN = 206 
  INTEGER, PARAMETER :: ind_PIO2 = 207 
  INTEGER, PARAMETER :: ind_ITHN = 208 
  INTEGER, PARAMETER :: ind_IDN = 209 
  INTEGER, PARAMETER :: ind_INO2B = 210 
  INTEGER, PARAMETER :: ind_INO2D = 211 
  INTEGER, PARAMETER :: ind_MVK = 212 
  INTEGER, PARAMETER :: ind_MACRNO2 = 213 
  INTEGER, PARAMETER :: ind_MACR = 214 
  INTEGER, PARAMETER :: ind_HAC = 215 
  INTEGER, PARAMETER :: ind_IHOO4 = 216 
  INTEGER, PARAMETER :: ind_IHOO1 = 217 
  INTEGER, PARAMETER :: ind_ATO2 = 218 
  INTEGER, PARAMETER :: ind_KO2 = 219 
  INTEGER, PARAMETER :: ind_R4O2 = 220 
  INTEGER, PARAMETER :: ind_OTHRO2 = 221 
  INTEGER, PARAMETER :: ind_PRPE = 222 
  INTEGER, PARAMETER :: ind_HCl = 223 
  INTEGER, PARAMETER :: ind_CH2O = 224 
  INTEGER, PARAMETER :: ind_ClO = 225 
  INTEGER, PARAMETER :: ind_CO = 226 
  INTEGER, PARAMETER :: ind_ALD2 = 227 
  INTEGER, PARAMETER :: ind_NO2 = 228 
  INTEGER, PARAMETER :: ind_NO3 = 229 
  INTEGER, PARAMETER :: ind_OH = 230 
  INTEGER, PARAMETER :: ind_MCO3 = 231 
  INTEGER, PARAMETER :: ind_Br = 232 
  INTEGER, PARAMETER :: ind_NO = 233 
  INTEGER, PARAMETER :: ind_B3O2 = 234 
  INTEGER, PARAMETER :: ind_A3O2 = 235 
  INTEGER, PARAMETER :: ind_MO2 = 236 
  INTEGER, PARAMETER :: ind_HO2 = 237 
  INTEGER, PARAMETER :: ind_O3 = 238 
  INTEGER, PARAMETER :: ind_Cl = 239 
  INTEGER, PARAMETER :: ind_RCO3 = 240 

! Index declaration for fixed species in C
!   C(ind_spc)

  INTEGER, PARAMETER :: ind_CH4 = 241 
  INTEGER, PARAMETER :: ind_H2 = 242 
  INTEGER, PARAMETER :: ind_H2O = 243 
  INTEGER, PARAMETER :: ind_O2 = 244 
  INTEGER, PARAMETER :: ind_RCOOH = 245 

! Index declaration for fixed species in FIX
!    FIX(indf_spc) = C(ind_spc) = C(NVAR+indf_spc)

  INTEGER, PARAMETER :: indf_CH4 = 1 
  INTEGER, PARAMETER :: indf_H2 = 2 
  INTEGER, PARAMETER :: indf_H2O = 3 
  INTEGER, PARAMETER :: indf_O2 = 4 
  INTEGER, PARAMETER :: indf_RCOOH = 5 

END MODULE gckpp_Parameters

