! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! 
! Parameter Module File
! 
! Generated by KPP-2.2.4_gc symbolic chemistry Kinetics PreProcessor
!       (http://www.cs.vt.edu/~asandu/Software/KPP)
! KPP is distributed under GPL, the general public licence
!       (http://www.gnu.org/copyleft/gpl.html)
! (C) 1995-1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
! (C) 1997-2005, A. Sandu, Michigan Tech, Virginia Tech
!     With important contributions from:
!        M. Damian, Villanova University, USA
!        R. Sander, Max-Planck Institute for Chemistry, Mainz, Germany
! 
! File                 : gckpp_Parameters.f90
! Time                 : Fri Mar 13 14:31:50 2020
! Working directory    : /n/home05/msulprizio/GC/Code.GCHP/KPP/Standard
! Equation file        : gckpp.kpp
! Output root filename : gckpp
! 
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



MODULE gckpp_Parameters

  USE gckpp_Precision
  PUBLIC
  SAVE


! NSPEC - Number of chemical species
  INTEGER, PARAMETER :: NSPEC = 262 
! NVAR - Number of Variable species
  INTEGER, PARAMETER :: NVAR = 258 
! NFLUX - Number of Reaction Flux species
  INTEGER, PARAMETER :: NFLUX = 1 
! NFAM - Number of Prod/Loss Families
  INTEGER, PARAMETER :: NFAM = 7 
! NVARACT - Number of Active species
  INTEGER, PARAMETER :: NVARACT = 232 
! NFIX - Number of Fixed species
  INTEGER, PARAMETER :: NFIX = 4 
! NREACT - Number of reactions
  INTEGER, PARAMETER :: NREACT = 825 
! NVARST - Starting of variables in conc. vect.
  INTEGER, PARAMETER :: NVARST = 1 
! NFIXST - Starting of fixed in conc. vect.
  INTEGER, PARAMETER :: NFIXST = 259 
! NONZERO - Number of nonzero entries in Jacobian
  INTEGER, PARAMETER :: NONZERO = 3063 
! LU_NONZERO - Number of nonzero entries in LU factoriz. of Jacobian
  INTEGER, PARAMETER :: LU_NONZERO = 3927 
! CNVAR - (NVAR+1) Number of elements in compressed row format
  INTEGER, PARAMETER :: CNVAR = 259 
! NLOOKAT - Number of species to look at
  INTEGER, PARAMETER :: NLOOKAT = 0 
! NMONITOR - Number of species to monitor
  INTEGER, PARAMETER :: NMONITOR = 0 
! NMASS - Number of atoms to check mass balance
  INTEGER, PARAMETER :: NMASS = 1 

! Index declaration for variable species in C and VAR
!   VAR(ind_spc) = C(ind_spc)

  INTEGER, PARAMETER :: ind_CH2I2 = 1 
  INTEGER, PARAMETER :: ind_CH2IBr = 2 
  INTEGER, PARAMETER :: ind_CH2ICl = 3 
  INTEGER, PARAMETER :: ind_NIT = 4 
  INTEGER, PARAMETER :: ind_NITs = 5 
  INTEGER, PARAMETER :: ind_AERI = 6 
  INTEGER, PARAMETER :: ind_CO2 = 7 
  INTEGER, PARAMETER :: ind_INDIOL = 8 
  INTEGER, PARAMETER :: ind_ISALA = 9 
  INTEGER, PARAMETER :: ind_ISALC = 10 
  INTEGER, PARAMETER :: ind_LBRO2H = 11 
  INTEGER, PARAMETER :: ind_LBRO2N = 12 
  INTEGER, PARAMETER :: ind_LISOPOH = 13 
  INTEGER, PARAMETER :: ind_LISOPNO3 = 14 
  INTEGER, PARAMETER :: ind_LTRO2H = 15 
  INTEGER, PARAMETER :: ind_LTRO2N = 16 
  INTEGER, PARAMETER :: ind_LVOCOA = 17 
  INTEGER, PARAMETER :: ind_LVOC = 18 
  INTEGER, PARAMETER :: ind_LXRO2H = 19 
  INTEGER, PARAMETER :: ind_LXRO2N = 20 
  INTEGER, PARAMETER :: ind_MSA = 21 
  INTEGER, PARAMETER :: ind_SO4H1 = 22 
  INTEGER, PARAMETER :: ind_SO4H2 = 23 
  INTEGER, PARAMETER :: ind_SOAGX = 24 
  INTEGER, PARAMETER :: ind_SOAIE = 25 
  INTEGER, PARAMETER :: ind_POx = 26 
  INTEGER, PARAMETER :: ind_LOx = 27 
  INTEGER, PARAMETER :: ind_PCO = 28 
  INTEGER, PARAMETER :: ind_LCO = 29 
  INTEGER, PARAMETER :: ind_PSO4 = 30 
  INTEGER, PARAMETER :: ind_LCH4 = 31 
  INTEGER, PARAMETER :: ind_PH2O2 = 32 
  INTEGER, PARAMETER :: ind_I2O4 = 33 
  INTEGER, PARAMETER :: ind_CH3CCl3 = 34 
  INTEGER, PARAMETER :: ind_I2O2 = 35 
  INTEGER, PARAMETER :: ind_MONITA = 36 
  INTEGER, PARAMETER :: ind_BENZ = 37 
  INTEGER, PARAMETER :: ind_CH3I = 38 
  INTEGER, PARAMETER :: ind_H1301 = 39 
  INTEGER, PARAMETER :: ind_H2402 = 40 
  INTEGER, PARAMETER :: ind_I2O3 = 41 
  INTEGER, PARAMETER :: ind_PPN = 42 
  INTEGER, PARAMETER :: ind_TOLU = 43 
  INTEGER, PARAMETER :: ind_BrNO2 = 44 
  INTEGER, PARAMETER :: ind_CCl4 = 45 
  INTEGER, PARAMETER :: ind_CFC11 = 46 
  INTEGER, PARAMETER :: ind_CFC12 = 47 
  INTEGER, PARAMETER :: ind_CFC113 = 48 
  INTEGER, PARAMETER :: ind_CFC114 = 49 
  INTEGER, PARAMETER :: ind_CFC115 = 50 
  INTEGER, PARAMETER :: ind_H1211 = 51 
  INTEGER, PARAMETER :: ind_IBr = 52 
  INTEGER, PARAMETER :: ind_INO = 53 
  INTEGER, PARAMETER :: ind_N2O = 54 
  INTEGER, PARAMETER :: ind_TRO2 = 55 
  INTEGER, PARAMETER :: ind_BRO2 = 56 
  INTEGER, PARAMETER :: ind_N = 57 
  INTEGER, PARAMETER :: ind_OCS = 58 
  INTEGER, PARAMETER :: ind_PAN = 59 
  INTEGER, PARAMETER :: ind_SO4 = 60 
  INTEGER, PARAMETER :: ind_XRO2 = 61 
  INTEGER, PARAMETER :: ind_HI = 62 
  INTEGER, PARAMETER :: ind_MAP = 63 
  INTEGER, PARAMETER :: ind_ICl = 64 
  INTEGER, PARAMETER :: ind_MPN = 65 
  INTEGER, PARAMETER :: ind_CHBr3 = 66 
  INTEGER, PARAMETER :: ind_CHCl3 = 67 
  INTEGER, PARAMETER :: ind_Cl2O2 = 68 
  INTEGER, PARAMETER :: ind_CH2Br2 = 69 
  INTEGER, PARAMETER :: ind_CH2Cl2 = 70 
  INTEGER, PARAMETER :: ind_HCFC142b = 71 
  INTEGER, PARAMETER :: ind_HCFC22 = 72 
  INTEGER, PARAMETER :: ind_HMHP = 73 
  INTEGER, PARAMETER :: ind_HMML = 74 
  INTEGER, PARAMETER :: ind_DMS = 75 
  INTEGER, PARAMETER :: ind_IONO = 76 
  INTEGER, PARAMETER :: ind_IPRNO3 = 77 
  INTEGER, PARAMETER :: ind_MENO3 = 78 
  INTEGER, PARAMETER :: ind_NPRNO3 = 79 
  INTEGER, PARAMETER :: ind_OIO = 80 
  INTEGER, PARAMETER :: ind_R4P = 81 
  INTEGER, PARAMETER :: ind_RA3P = 82 
  INTEGER, PARAMETER :: ind_RB3P = 83 
  INTEGER, PARAMETER :: ind_RP = 84 
  INTEGER, PARAMETER :: ind_ETNO3 = 85 
  INTEGER, PARAMETER :: ind_XYLE = 86 
  INTEGER, PARAMETER :: ind_ClNO2 = 87 
  INTEGER, PARAMETER :: ind_HCFC123 = 88 
  INTEGER, PARAMETER :: ind_HCFC141b = 89 
  INTEGER, PARAMETER :: ind_IONITA = 90 
  INTEGER, PARAMETER :: ind_CH3Cl = 91 
  INTEGER, PARAMETER :: ind_CH3Br = 92 
  INTEGER, PARAMETER :: ind_HNO4 = 93 
  INTEGER, PARAMETER :: ind_PYAC = 94 
  INTEGER, PARAMETER :: ind_ClOO = 95 
  INTEGER, PARAMETER :: ind_IDC = 96 
  INTEGER, PARAMETER :: ind_HNO2 = 97 
  INTEGER, PARAMETER :: ind_ETP = 98 
  INTEGER, PARAMETER :: ind_OClO = 99 
  INTEGER, PARAMETER :: ind_ALK4 = 100 
  INTEGER, PARAMETER :: ind_PP = 101 
  INTEGER, PARAMETER :: ind_PRPN = 102 
  INTEGER, PARAMETER :: ind_IEPOXD = 103 
  INTEGER, PARAMETER :: ind_MVKDH = 104 
  INTEGER, PARAMETER :: ind_PIP = 105 
  INTEGER, PARAMETER :: ind_BrCl = 106 
  INTEGER, PARAMETER :: ind_HPALD1OO = 107 
  INTEGER, PARAMETER :: ind_HPALD2OO = 108 
  INTEGER, PARAMETER :: ind_C3H8 = 109 
  INTEGER, PARAMETER :: ind_INA = 110 
  INTEGER, PARAMETER :: ind_HPALD3 = 111 
  INTEGER, PARAMETER :: ind_HPALD4 = 112 
  INTEGER, PARAMETER :: ind_HOI = 113 
  INTEGER, PARAMETER :: ind_Br2 = 114 
  INTEGER, PARAMETER :: ind_IDCHP = 115 
  INTEGER, PARAMETER :: ind_IEPOXB = 116 
  INTEGER, PARAMETER :: ind_EOH = 117 
  INTEGER, PARAMETER :: ind_MCRDH = 118 
  INTEGER, PARAMETER :: ind_HONIT = 119 
  INTEGER, PARAMETER :: ind_IEPOXA = 120 
  INTEGER, PARAMETER :: ind_MACR1OOH = 121 
  INTEGER, PARAMETER :: ind_BrSALC = 122 
  INTEGER, PARAMETER :: ind_MP = 123 
  INTEGER, PARAMETER :: ind_BrSALA = 124 
  INTEGER, PARAMETER :: ind_IHN3 = 125 
  INTEGER, PARAMETER :: ind_SO2 = 126 
  INTEGER, PARAMETER :: ind_IHN2 = 127 
  INTEGER, PARAMETER :: ind_C4HVP1 = 128 
  INTEGER, PARAMETER :: ind_C4HVP2 = 129 
  INTEGER, PARAMETER :: ind_IDHDP = 130 
  INTEGER, PARAMETER :: ind_N2O5 = 131 
  INTEGER, PARAMETER :: ind_IDNOO = 132 
  INTEGER, PARAMETER :: ind_ICNOO = 133 
  INTEGER, PARAMETER :: ind_INPD = 134 
  INTEGER, PARAMETER :: ind_ISOPNOO2 = 135 
  INTEGER, PARAMETER :: ind_MPAN = 136 
  INTEGER, PARAMETER :: ind_MTPA = 137 
  INTEGER, PARAMETER :: ind_MTPO = 138 
  INTEGER, PARAMETER :: ind_MVKPC = 139 
  INTEGER, PARAMETER :: ind_RIPA = 140 
  INTEGER, PARAMETER :: ind_ROH = 141 
  INTEGER, PARAMETER :: ind_C2H6 = 142 
  INTEGER, PARAMETER :: ind_RIPB = 143 
  INTEGER, PARAMETER :: ind_MCRENOL = 144 
  INTEGER, PARAMETER :: ind_IDHPE = 145 
  INTEGER, PARAMETER :: ind_IONO2 = 146 
  INTEGER, PARAMETER :: ind_RIPD = 147 
  INTEGER, PARAMETER :: ind_ISOPNOO1 = 148 
  INTEGER, PARAMETER :: ind_IDHNDOO1 = 149 
  INTEGER, PARAMETER :: ind_IDHNDOO2 = 150 
  INTEGER, PARAMETER :: ind_MVKHC = 151 
  INTEGER, PARAMETER :: ind_RIPC = 152 
  INTEGER, PARAMETER :: ind_HPETHNL = 153 
  INTEGER, PARAMETER :: ind_LIMO = 154 
  INTEGER, PARAMETER :: ind_ICHE = 155 
  INTEGER, PARAMETER :: ind_MCRHNB = 156 
  INTEGER, PARAMETER :: ind_H = 157 
  INTEGER, PARAMETER :: ind_BrNO3 = 158 
  INTEGER, PARAMETER :: ind_MONITS = 159 
  INTEGER, PARAMETER :: ind_I2 = 160 
  INTEGER, PARAMETER :: ind_Cl2 = 161 
  INTEGER, PARAMETER :: ind_INPB = 162 
  INTEGER, PARAMETER :: ind_IHPOO1 = 163 
  INTEGER, PARAMETER :: ind_IHPOO2 = 164 
  INTEGER, PARAMETER :: ind_MVKHCB = 165 
  INTEGER, PARAMETER :: ind_CH4 = 166 
  INTEGER, PARAMETER :: ind_IHPNDOO = 167 
  INTEGER, PARAMETER :: ind_HPALD1 = 168 
  INTEGER, PARAMETER :: ind_IHPOO3 = 169 
  INTEGER, PARAMETER :: ind_HPALD2 = 170 
  INTEGER, PARAMETER :: ind_HC5A = 171 
  INTEGER, PARAMETER :: ind_H2O2 = 172 
  INTEGER, PARAMETER :: ind_ICHOO = 173 
  INTEGER, PARAMETER :: ind_ATOOH = 174 
  INTEGER, PARAMETER :: ind_PROPNN = 175 
  INTEGER, PARAMETER :: ind_MCRHN = 176 
  INTEGER, PARAMETER :: ind_MONITU = 177 
  INTEGER, PARAMETER :: ind_R4N1 = 178 
  INTEGER, PARAMETER :: ind_PRN1 = 179 
  INTEGER, PARAMETER :: ind_MVKOHOO = 180 
  INTEGER, PARAMETER :: ind_MCROHOO = 181 
  INTEGER, PARAMETER :: ind_ICPDH = 182 
  INTEGER, PARAMETER :: ind_MACR1OO = 183 
  INTEGER, PARAMETER :: ind_ETHLN = 184 
  INTEGER, PARAMETER :: ind_PO2 = 185 
  INTEGER, PARAMETER :: ind_HCOOH = 186 
  INTEGER, PARAMETER :: ind_ACTA = 187 
  INTEGER, PARAMETER :: ind_I = 188 
  INTEGER, PARAMETER :: ind_GLYX = 189 
  INTEGER, PARAMETER :: ind_IHN4 = 190 
  INTEGER, PARAMETER :: ind_ITCN = 191 
  INTEGER, PARAMETER :: ind_ACET = 192 
  INTEGER, PARAMETER :: ind_OLNN = 193 
  INTEGER, PARAMETER :: ind_OLND = 194 
  INTEGER, PARAMETER :: ind_ETO2 = 195 
  INTEGER, PARAMETER :: ind_MOH = 196 
  INTEGER, PARAMETER :: ind_IO = 197 
  INTEGER, PARAMETER :: ind_IHPNBOO = 198 
  INTEGER, PARAMETER :: ind_IHN1 = 199 
  INTEGER, PARAMETER :: ind_RCO3 = 200 
  INTEGER, PARAMETER :: ind_ISOP = 201 
  INTEGER, PARAMETER :: ind_HOBr = 202 
  INTEGER, PARAMETER :: ind_LIMO2 = 203 
  INTEGER, PARAMETER :: ind_KO2 = 204 
  INTEGER, PARAMETER :: ind_IEPOXBOO = 205 
  INTEGER, PARAMETER :: ind_IEPOXAOO = 206 
  INTEGER, PARAMETER :: ind_MVKHP = 207 
  INTEGER, PARAMETER :: ind_MCRHP = 208 
  INTEGER, PARAMETER :: ind_HOCl = 209 
  INTEGER, PARAMETER :: ind_CH3CHOO = 210 
  INTEGER, PARAMETER :: ind_PIO2 = 211 
  INTEGER, PARAMETER :: ind_HNO3 = 212 
  INTEGER, PARAMETER :: ind_IDHNBOO = 213 
  INTEGER, PARAMETER :: ind_A3O2 = 214 
  INTEGER, PARAMETER :: ind_ClNO3 = 215 
  INTEGER, PARAMETER :: ind_GLYC = 216 
  INTEGER, PARAMETER :: ind_MGLY = 217 
  INTEGER, PARAMETER :: ind_ICN = 218 
  INTEGER, PARAMETER :: ind_MVKN = 219 
  INTEGER, PARAMETER :: ind_ITHN = 220 
  INTEGER, PARAMETER :: ind_IDN = 221 
  INTEGER, PARAMETER :: ind_INO2B = 222 
  INTEGER, PARAMETER :: ind_INO2D = 223 
  INTEGER, PARAMETER :: ind_IHOO4 = 224 
  INTEGER, PARAMETER :: ind_IHOO1 = 225 
  INTEGER, PARAMETER :: ind_MACR = 226 
  INTEGER, PARAMETER :: ind_MACRNO2 = 227 
  INTEGER, PARAMETER :: ind_HAC = 228 
  INTEGER, PARAMETER :: ind_MVK = 229 
  INTEGER, PARAMETER :: ind_ATO2 = 230 
  INTEGER, PARAMETER :: ind_MEK = 231 
  INTEGER, PARAMETER :: ind_OTHRO2 = 232 
  INTEGER, PARAMETER :: ind_R4N2 = 233 
  INTEGER, PARAMETER :: ind_R4O2 = 234 
  INTEGER, PARAMETER :: ind_B3O2 = 235 
  INTEGER, PARAMETER :: ind_PRPE = 236 
  INTEGER, PARAMETER :: ind_RCHO = 237 
  INTEGER, PARAMETER :: ind_CH2OO = 238 
  INTEGER, PARAMETER :: ind_MCO3 = 239 
  INTEGER, PARAMETER :: ind_CO = 240 
  INTEGER, PARAMETER :: ind_ALD2 = 241 
  INTEGER, PARAMETER :: ind_CH2O = 242 
  INTEGER, PARAMETER :: ind_MO2 = 243 
  INTEGER, PARAMETER :: ind_NO = 244 
  INTEGER, PARAMETER :: ind_HBr = 245 
  INTEGER, PARAMETER :: ind_NO3 = 246 
  INTEGER, PARAMETER :: ind_NO2 = 247 
  INTEGER, PARAMETER :: ind_HO2 = 248 
  INTEGER, PARAMETER :: ind_Br = 249 
  INTEGER, PARAMETER :: ind_OH = 250 
  INTEGER, PARAMETER :: ind_BrO = 251 
  INTEGER, PARAMETER :: ind_HCl = 252 
  INTEGER, PARAMETER :: ind_ClO = 253 
  INTEGER, PARAMETER :: ind_O1D = 254 
  INTEGER, PARAMETER :: ind_Cl = 255 
  INTEGER, PARAMETER :: ind_H2O = 256 
  INTEGER, PARAMETER :: ind_O3 = 257 
  INTEGER, PARAMETER :: ind_O = 258 

! Index declaration for fixed species in C
!   C(ind_spc)

  INTEGER, PARAMETER :: ind_H2 = 259 
  INTEGER, PARAMETER :: ind_N2 = 260 
  INTEGER, PARAMETER :: ind_O2 = 261 
  INTEGER, PARAMETER :: ind_RCOOH = 262 

! Index declaration for fixed species in FIX
!    FIX(indf_spc) = C(ind_spc) = C(NVAR+indf_spc)

  INTEGER, PARAMETER :: indf_H2 = 1 
  INTEGER, PARAMETER :: indf_N2 = 2 
  INTEGER, PARAMETER :: indf_O2 = 3 
  INTEGER, PARAMETER :: indf_RCOOH = 4 

END MODULE gckpp_Parameters

